# Uses of Interface
org.eclipse.ui.activities.IActivityListener

Packages that use IActivityListener
Package
Description
org.eclipse.ui.activities
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.

## Uses of IActivityListener in org.eclipse.ui.activities

Methods in org.eclipse.ui.activities with parameters of type IActivityListener
Modifier and Type
Method
Description
`void`
IActivity.`addActivityListener(IActivityListener activityListener)`
Registers an instance of `IActivityListener` to listen for changes to properties of this instance.
`void`
IActivity.`removeActivityListener(IActivityListener activityListener)`
Removes an instance of `IActivityListener` listening for changes to properties of this instance.